package k8s

import (
	"context"

	log "github.com/sirupsen/logrus"
)

func resourceK8sCPStateUpgradeV1(ctx context.Context, rawState map[string]interface{}, meta any) (map[string]interface{}, error) {
	log.Debug("resourceK8sCPStateUpgradeV1: upgrading state")

	delete(rawState, "cloud_init")

	return rawState, nil
}
